jdbm.helper

## Class Tuple<K,V>

- java.lang.Object
- - jdbm.helper.Tuple<K,V>

    public final class Tuple<K,V>
    extends Object

Tuple consisting of a key-value pair.

Author:
  Alex Boisvert

### Constructor Summary

Constructors
Constructor and Description
`Tuple()` Construct an empty Tuple.
`Tuple(K key, V value)` Construct a Tuple.

### Method Summary

Methods
`K` `getKey()` Get the key.
`V` `getValue()` Get the value.
`void` `setKey(K key)` Set the key.
`void` `setValue(V value)` Set the value.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Tuple

    public Tuple()

Construct an empty Tuple.

#### Tuple

    public Tuple(K key,
         V value)

Construct a Tuple.

Parameters:
  `key` - The key.
  `value` - The value.

### Method Detail

#### getKey

    public K getKey()

Get the key.

#### setKey

    public void setKey(K key)

Set the key.

#### getValue

    public V getValue()

Get the value.

#### setValue

    public void setValue(V value)

Set the value.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`